Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1504591 - Review Request: qxtglobalshortcut - Cross-platform library for handling system-wide shortcuts in Qt applications
Summary: Review Request: qxtglobalshortcut - Cross-platform library for handling syste...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/hluk/qxtglobalshor...
Whiteboard:
Depends On:
Blocks: qt-reviews 1507104
TreeView+ depends on / blocked
 
Reported: 2017-10-20 09:48 UTC by MartinKG
Modified: 2017-10-31 08:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-31 08:26:55 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description MartinKG 2017-10-20 09:48:11 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/qxtglobalshortcut.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/qxtglobalshortcut-0.0.1-0.1.20171013git2a6f890.fc26.src.rpm

Description: Cross-platform library for handling system-wide shortcuts in Qt applications. This code was originally part of Qtx which is no longer maintained.

Fedora Account System Username: martinkg

Comment 1 Raphael Groner 2017-10-21 13:52:33 UTC
You may want to build for Qt5 instead (or at least make Qt4 optional) as Qt4 development is stalled at upstream.

Comment 2 MartinKG 2017-10-21 15:14:02 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/qxtglobalshortcut.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/qxtglobalshortcut-0.0.1-0.2.20171021git1644620.fc26.src.rpm

%changelog
* Sat Oct 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.2.20171021git1644620
- Update to 0.0.1-0.1.20171021git1644620

rpmlint -i -v qxtglobalshortcut.spec /home/martin/rpmbuild/SRPMS/qxtglobalshortcut-0.0.1-0.2.20171021git1644620.fc26.src.rpm /home/martin/rpmbuild/RPMS/x86_64/qxtglobalshortcut-0.0.1-0.2.20171021git1644620.fc26.x86_64.rpm /home/martin/rpmbuild/RPMS/x86_64/qxtglobalshortcut-devel-0.0.1-0.2.20171021git1644620.fc26.x86_64.rpm /home/martin/rpmbuild/RPMS/x86_64/qxtglobalshortcut-debuginfo-0.0.1-0.2.20171021git1644620.fc26.x86_64.rpm
qxtglobalshortcut.spec: I: checking
qxtglobalshortcut.spec: I: checking-url https://github.com/hluk/qxtglobalshortcut/archive/16446200b699e0610b8a5fb20b74938225d81d87/qxtglobalshortcut-1644620.tar.gz (timeout 10 seconds)
qxtglobalshortcut.src: I: checking
qxtglobalshortcut.src: I: checking-url https://github.com/hluk/qxtglobalshortcut (timeout 10 seconds)
qxtglobalshortcut.src: I: checking-url https://github.com/hluk/qxtglobalshortcut/archive/16446200b699e0610b8a5fb20b74938225d81d87/qxtglobalshortcut-1644620.tar.gz (timeout 10 seconds)
qxtglobalshortcut.x86_64: I: checking
qxtglobalshortcut.x86_64: I: checking-url https://github.com/hluk/qxtglobalshortcut (timeout 10 seconds)
qxtglobalshortcut.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqxtglobalshortcut.so
A file that is needed only e.g. when developing or building software is
included in a non-devel package. These files should go in devel packages.

qxtglobalshortcut-devel.x86_64: I: checking
qxtglobalshortcut-devel.x86_64: I: checking-url https://github.com/hluk/qxtglobalshortcut (timeout 10 seconds)
qxtglobalshortcut-devel.x86_64: W: only-non-binary-in-usr-lib
There are only non binary files in /usr/lib so they should be in /usr/share.

qxtglobalshortcut-devel.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

qxtglobalshortcut-debuginfo.x86_64: I: checking
qxtglobalshortcut-debuginfo.x86_64: I: checking-url https://github.com/hluk/qxtglobalshortcut (timeout 10 seconds)
4 packages and 1 specfiles checked; 0 errors, 3 warnings.

Comment 3 MartinKG 2017-10-21 15:21:24 UTC
(In reply to Raphael Groner from comment #1)
> You may want to build for Qt5 instead (or at least make Qt4 optional) as Qt4
> development is stalled at upstream.

The only Intention to build with qt4, is at the moment vacuum [1]. Vacuum a qt4 based app comes with a bundled version of qxtglobalshortcut. vacuum "core dumped" with a qt5 compiled qxtglobalshortcut.

[1] https://github.com/Vacuum-IM/vacuum-im

What can i do ?

Comment 4 MartinKG 2017-10-24 14:44:09 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/qxtglobalshortcut.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/qxtglobalshortcut-0.0.1-0.3.20171021git1644620.fc26.src.rpm

%changelog
* Tue Oct 24 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.3.20171021git1644620
- Disable qt4 build

Comment 5 Raphael Groner 2017-10-24 18:17:37 UTC
(In reply to mgansser@alice.de from comment #3)
> (In reply to Raphael Groner from comment #1)> What can i do ?

https://github.com/Vacuum-IM/vacuum-im/tree/dev_qt5

… as replied to your issue at upstream.

Comment 6 Raphael Groner 2017-10-24 18:46:32 UTC
FTBFS:
…
+ cd qxtglobalshortcut-16446200b699e0610b8a5fb20b74938225d81d87
+ %cmake .
/var/tmp/rpm-tmp.1GGqi9: line 31: fg: no job control

Add BuildRequires: cmake

Comment 7 MartinKG 2017-10-24 19:14:46 UTC
(In reply to Raphael Groner from comment #6)
> FTBFS:
> …
> + cd qxtglobalshortcut-16446200b699e0610b8a5fb20b74938225d81d87
> + %cmake .
> /var/tmp/rpm-tmp.1GGqi9: line 31: fg: no job control
> 
> Add BuildRequires: cmake

done, no extra file upload.

Comment 8 Raphael Groner 2017-10-24 19:22:13 UTC
Are you interested in a review swap? Maybe take a look into bug #1506011.

Comment 9 Raphael Groner 2017-10-24 19:33:37 UTC
Still FTBFS:

CMake Warning at cmake/qt5.cmake:1 (find_package):
  By not providing "FindQt5Widgets.cmake" in CMAKE_MODULE_PATH this project
  has asked CMake to find a package configuration file provided by
  "Qt5Widgets", but CMake did not find one.
  Could not find a package configuration file provided by "Qt5Widgets" with
  any of the following names:
    Qt5WidgetsConfig.cmake
    qt5widgets-config.cmake
  Add the installation prefix of "Qt5Widgets" to CMAKE_PREFIX_PATH or set
  "Qt5Widgets_DIR" to a directory containing one of the above files.  If
  "Qt5Widgets" provides a separate development package or SDK, be sure it has
  been installed.
Call Stack (most recent call first):
  cmake/qt.cmake:4 (include)
  CMakeLists.txt:29 (include)
-- Configuring incomplete, errors occurred!
See also "/builddir/build/BUILD/qxtglobalshortcut-16446200b699e0610b8a5fb20b74938225d81d87/CMakeFiles/CMakeOutput.log".
CMake Error at cmake/qt5.cmake:3 (message):
  Qt 5 is unavailable.  To compile with Qt 4 use -DWITH_QT5=OFF.

Add BuildRequires:  pkgconfig(Qt5Widgets)

Execute cmake with %cmake -DWITH_QT5=ON

Do you plan to build for EPEL7? Please notice the package name is cmake3 there and Qt5 is Qt is maintained by Red Hat people in RHEL7.

Comment 10 Raphael Groner 2017-10-24 19:34:25 UTC
Please please test your stuff before filing requests!

Therefore it's always a good idea to provide some link to a koji scratch build.

Comment 11 MartinKG 2017-10-24 20:23:08 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/qxtglobalshortcut.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/qxtglobalshortcut-0.0.1-0.4.20171021git1644620.fc26.src.rpm

%changelog
* Tue Oct 24 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.4.20171021git1644620
- Add BR cmake
- Add BR pkgconfig(Qt5Widgets)

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22680117

Comment 12 Robert-André Mauchin 2017-10-29 18:51:03 UTC
 - Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

libqxtglobalshortcut.so is currently in the main package whereas it should be in the -devel subpackage.

 -The license in COPYING is BSD, not LGPLv3.

 - Don't include COPYING in %doc, only in %license:

%doc AUTHORS COPYING README.md
%license COPYING


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "GPL (v3) LGPL (v3)", "Unknown or generated".
     26 files have unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/qxtglobalshortcut/review-
     qxtglobalshortcut/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     qxtglobalshortcut-debuginfo , qxtglobalshortcut-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: qxtglobalshortcut-0.0.1-0.4.20171021git1644620.fc28.x86_64.rpm
          qxtglobalshortcut-devel-0.0.1-0.4.20171021git1644620.fc28.x86_64.rpm
          qxtglobalshortcut-debuginfo-0.0.1-0.4.20171021git1644620.fc28.x86_64.rpm
          qxtglobalshortcut-debugsource-0.0.1-0.4.20171021git1644620.fc28.x86_64.rpm
          qxtglobalshortcut-0.0.1-0.4.20171021git1644620.fc28.src.rpm
qxtglobalshortcut.x86_64: W: devel-file-in-non-devel-package /usr/lib64/libqxtglobalshortcut.so
qxtglobalshortcut-devel.x86_64: W: only-non-binary-in-usr-lib
qxtglobalshortcut-devel.x86_64: W: no-documentation
qxtglobalshortcut-debugsource.x86_64: W: no-documentation
5 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 13 MartinKG 2017-10-29 19:23:37 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/qxtglobalshortcut.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/qxtglobalshortcut-0.0.1-0.5.20171021git1644620.fc26.src.rpm

%changelog
* Sun Oct 29 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.0.1-0.5.20171021git1644620
- Don't include COPYING in %%doc, only in %%license
- Move Unversioned so-files directly in %%_libdir
- Use correct license tag BSD

Comment 14 Robert-André Mauchin 2017-10-29 20:07:24 UTC
All ok for me, package accepted.

Comment 15 MartinKG 2017-10-29 20:31:25 UTC
Thanks for reviewing this ticket.

Comment 16 Raphael Groner 2017-10-30 07:56:35 UTC
Sorry, I missed to continue here due to vacation.

Comment 17 Gwyn Ciesla 2017-10-30 23:39:38 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/qxtglobalshortcut

Comment 18 MartinKG 2017-10-31 08:26:55 UTC
package has been built successfully on f25, f26, f27 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.